<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.mail.CustomerMailRecordMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.mail.CustomerMailRecordEntity">
                    <id column="id" property="id" />
                <result column="owner_by" property="ownerBy" />
                <result column="create_time" property="createTime" />
                <result column="update_time" property="updateTime" />
                <result column="sort" property="sort" />
                <result column="is_delete" property="isDelete" />
                <result column="enabled" property="enabled" />
                <result column="create_by" property="createBy" />
                <result column="update_by" property="updateBy" />
                    <result column="mail_id" property="mailId" />
                    <result column="msg_num" property="msgNum" />
                    <result column="customer_id" property="customerId" />
                    <result column="liaison_id" property="liaisonId" />
                    <result column="subject" property="subject" />
                    <result column="from" property="from" />
                    <result column="from_name" property="fromName" />
                    <result column="recipient" property="recipient" />
                    <result column="recipient_name" property="recipientName" />
                    <result column="recipient_cc" property="recipientCc" />
                    <result column="recipient_cc_name" property="recipientCcName" />
                    <result column="recipient_bcc" property="recipientBcc" />
                    <result column="recipient_bcc_name" property="recipientBccName" />
                    <result column="folder" property="folder" />
                    <result column="content" property="content" />
                    <result column="sent_date" property="sentDate" />
                    <result column="recipient_date" property="recipientDate" />
                    <result column="email_size" property="emailSize" />
                    <result column="remark" property="remark" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                owner_by,
                create_time,
                update_time,
                sort,
                is_delete,
                enabled,
                create_by,
                update_by,
            id, mail_id, msg_num, customer_id, liaison_id, subject, from, from_name, recipient, recipient_name, recipient_cc, recipient_cc_name, recipient_bcc, recipient_bcc_name, folder, content, sent_date, recipient_date, email_size, remark
        </sql>

</mapper>
